# Uses of Class
org.eclipse.osgi.container.ModuleDatabase

Packages that use ModuleDatabase
Package
Description
org.eclipse.osgi.container
org.eclipse.osgi.storage

## Uses of ModuleDatabase in org.eclipse.osgi.container

Constructors in org.eclipse.osgi.container with parameters of type ModuleDatabase
Modifier
Constructor
Description
``
`ModuleContainer(ModuleContainerAdaptor adaptor, ModuleDatabase moduledataBase)`
Constructs a new container with the specified adaptor, module database.

## Uses of ModuleDatabase in org.eclipse.osgi.storage

Methods in org.eclipse.osgi.storage that return ModuleDatabase
Modifier and Type
Method
Description
`ModuleDatabase`
Storage.`getModuleDatabase()`